Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbPeopleAssignments

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbPeopleAssignments

All Implemented Interfaces:
  Externalizable, Serializable, PeopleAssignments

    public class JaxbPeopleAssignments

extends Object
implements PeopleAssignments

See Also:
  Serialized Form

Constructor Summary
`JaxbPeopleAssignments()`
`JaxbPeopleAssignments(PeopleAssignments peopleAssignments)`

Method Summary
`List<OrganizationalEntity>` | `getBusinessAdministrators()`
`List<OrganizationalEntity>` | `getPotentialOwners()`
`User` | `getTaskInitiator()`
`void` | `readExternal(ObjectInput arg0)`
`void` | `writeExternal(ObjectOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbPeopleAssignments

    public JaxbPeopleAssignments()

### JaxbPeopleAssignments

    public JaxbPeopleAssignments(PeopleAssignments peopleAssignments)

Method Detail

### getTaskInitiator

    public User getTaskInitiator()

  Specified by:
    `getTaskInitiator` in interface `PeopleAssignments`

### getPotentialOwners

    public List<OrganizationalEntity> getPotentialOwners()

  Specified by:
    `getPotentialOwners` in interface `PeopleAssignments`

### getBusinessAdministrators

    public List<OrganizationalEntity> getBusinessAdministrators()

  Specified by:
    `getBusinessAdministrators` in interface `PeopleAssignments`

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.